fish:
  pkg.installed:
    - name: fish

oh-my-fish:
  git.latest:
    - name: https://github.com/oh-my-fish/oh-my-fish
    - target: {{ grains.homedir }}/oh-my-fish
    - user: {{ grains.user }}

{{ grains.user }}:
   user.present:
    - shell: /usr/bin/fish

install-oh-my-fish:
  cmd.run:
    - name: bin/install --offline --noninteractive
    - cwd: {{ grains.homedir }}/oh-my-fish
    - runas: {{ grains.user }}
    - unless: test -d {{ grains.homedir }}/.local/share/omf

install-bobthefish:
  cmd.run:
    - name: fish -c "omf install bobthefish"
    - runas: {{ grains.user }}
