spacemacs:
  pkg.installed:
    {% if grains['kernel'] == 'Darwin' %}
    - name: emacs-plus
    - tap: 'd12frosted/emacs-plus'
    {% elif grains['kernel'] == 'Linux' %}
    - name: emacs
    {% endif %}

spacemacs-repo:
  git.latest:
    - name: https://github.com/syl20bnr/spacemacs
    - target: {{ grains.homedir }}/.emacs.d
    - user: {{ grains.user }}

spacemacs-config:
  file.managed:
    - name: {{ grains.homedir }}/.spacemacs
    - source: salt:///spacemacs/files/spacemacsconfig
    - user: {{ grains.user }}
    - group: {{ grains.user }}
    - template: jinja
    - force: True
